/preview/advertisers/{advertiserId}/targeting/domain-rules
curl --request POST \
--url https://api.criteo.com/preview/advertisers/{advertiserId}/targeting/domain-rules \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"attributes": {
"data": [
{
"active": true,
"readOnly": true,
"value": "<string>"
}
]
},
"type": "<string>"
}
}
'import requests
url = "https://api.criteo.com/preview/advertisers/{advertiserId}/targeting/domain-rules"
payload = { "data": {
"attributes": { "data": [
{
"active": True,
"readOnly": True,
"value": "<string>"
}
] },
"type": "<string>"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: {
attributes: {data: [{active: true, readOnly: true, value: '<string>'}]},
type: '<string>'
}
})
};
fetch('https://api.criteo.com/preview/advertisers/{advertiserId}/targeting/domain-rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"attributes": {
"data": [
{
"active": true,
"readOnly": true,
"value": "<string>"
}
]
},
"type": "<string>"
}
}/preview/advertisers/{advertiserId}/targeting/domain-rules
Inserts a list of targeted domains for an advertiser and sets the targeting mode : blocklisting or allowlisting.
It will replace the current list if any.
POST
/
preview
/
advertisers
/
{advertiserId}
/
targeting
/
domain-rules
/preview/advertisers/{advertiserId}/targeting/domain-rules
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The advertiser id
Body
application/json
Description of the targeting rule to setup
Root object containing the API request
Standard envelope for an entity
Show child attributes
Show child attributes
Response
200 - application/json
Success
Root object for the API response
Standard envelope for an entity
Show child attributes
Show child attributes
Was this page helpful?
/preview/advertisers/{advertiserId}/targeting/domain-rules
Previous
/preview/advertisers/{advertiserId}/targeting/domain-rules
Next
⌘I